# $Revision: 1.41 $, $Date: 2002/11/11 16:46:03 $
Summary:	Linux terminal utilities
Summary(pl):	Narzdzia do obsugi terminala
Name:		kbd
Version:	1.08
Release:	3
License:	GPL
Group:		Applications/Console
Source0:	ftp://ftp.win.tue.nl/pub/linux-local/utils/kbd/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-non-english-man-pages.tar.bz2
Source4:	lat2u-16.psf.gz
Source5:	lat2u.sfm.gz
Source6:	console.sh
Source7:	console.csh
Source8:	console-man-pages.tar.bz2
Source9:	%{name}-pl1.kmap.gz
Source10:	%{name}-mac-pl.kmap.gz
Patch0:		%{name}-install.patch
Patch1:		%{name}-sparc.patch
Patch2:		%{name}-compose.patch
Patch3:		%{name}-compat-suffixes.patch
Patch4:		%{name}-unicode_start.patch
Patch5:		%{name}-posixsh.patch
Patch6:		%{name}-DESTDIR.patch
URL:		http://www.win.tue.nl/~aeb/linux/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
PreReq:		rc-scripts
PreReq:		/sbin/chkconfig
Requires:	sed
Requires:	open
Requires:	util-linux
Provides:	console-data
Provides:	console-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	util-linux < 2.11
Conflicts:	man-pages < 1.43-5
Obsoletes:	console-data
Obsoletes:	console-tools
Obsoletes:	console-tools-devel
Obsoletes:	console-tools-static

%description
This package contains utilities to load console fonts and keyboard
maps. It also includes a number of different fonts and keyboard maps.

%description -l pl
Pakiet zawiera narzdzia do adowania fontw terminalowych oraz map
klawiatury. Dodaktowo doczono znaczn liczb rnych fontw i map.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
./configure \
	--datadir=/share
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{profile.d,rc.d/init.d,sysconfig}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf /bin/loadkeys $RPM_BUILD_ROOT%{_bindir}/loadkeys

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/console
%ifarch sparc sparc64
sed 's/KEYTABLE=pl2/KEYTABLE=sunkeymap/' %{SOURCE2} > $RPM_BUILD_ROOT/etc/sysconfig/console
%else
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/console
%endif

install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/consolefonts/lat2u-16.psfu.gz
gunzip -c %{SOURCE5} >$RPM_BUILD_ROOT%{_datadir}/unimaps/lat2u.uni
install %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/keymaps/i386/qwerty/pl1.map.gz
install %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/keymaps/mac/all/mac-pl.map.gz

install %{SOURCE6} $RPM_BUILD_ROOT/etc/profile.d
install %{SOURCE7} $RPM_BUILD_ROOT/etc/profile.d

bzip2 -dc %{SOURCE3} | tar xvf - -C $RPM_BUILD_ROOT%{_mandir}
bzip2 -dc %{SOURCE8} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f doc/{*,*/*}.sgml

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add console

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del console
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README doc/*.txt
%attr(754,root,root) /etc/rc.d/init.d/console
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/console
%attr(755,root,root) /etc/profile.d/console.*

%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/console*
%{_datadir}/keymaps
%{_datadir}/unimaps

%{_mandir}/man?/*
%lang(cs) %{_mandir}/cs/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fi) %{_mandir}/fi/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(hu) %{_mandir}/hu/man?/*
%lang(it) %{_mandir}/it/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(ko) %{_mandir}/ko/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(pt) %{_mandir}/pt/man?/*
%lang(ru) %{_mandir}/ru/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kbd.spec,v $
Revision 1.41  2002/11/11 16:46:03  kloczek
- release 3.

Revision 1.40  2002/11/09 09:43:53  gotar
- operates on terminal, not console

Revision 1.39  2002/11/04 13:02:12  baggins
- release 2
- fixed KEYTABLE definition on sparcs

Revision 1.38  2002/11/02 16:55:14  grzegol
- updated to 1.08
- added DESTDIR patch

Revision 1.37  2002/10/24 00:18:16  ankry
- updated man pages; rel. 20

Revision 1.36  2002/09/05 11:25:56  blues
- release 19 - new doc, added BR, STBR
- introduced new options to set powersaving on console and to set colors
  of the console.

Revision 1.35  2002/04/25 16:40:41  arturs
fixed a small typo

Revision 1.34  2002/03/19 01:26:03  marcus
- added pl keymap for Apple Macintosh
- rel.18.

Revision 1.33  2002/02/28 17:16:36  filon
- don't set font on mulitple consoles if fbset is not used
  (if someone doesn't use fbset probably he/she has ftamebuffer copiled into kernel)
- if SET_FONT_TERMINALS is not set (default), take all availible terminals from /dev/vc (devfs)
  or all teminals form inittab (trad. /dev)
- release 17

Revision 1.32  2002/02/26 20:57:49  grzegol
- addedd posixsh.patch (fix configure script)

Revision 1.31  2002/02/25 21:15:30  grzegol
- added SET_FONT_TERMINALS. Only on this terminals fonts will be set
- rel. 16
STBR

Revision 1.30  2002/02/22 23:29:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/25 17:11:08  undefine
- release 15 to rebuild with requires: open

Revision 1.28  2002/01/18 02:13:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/12/19 19:13:41  jack
Added requires open - try to uninstall it and restart console - good luck ;)

Revision 1.26  2001/12/18 14:36:26  kloczek
- release 14: fixed init script (gotar).

Revision 1.25  2001/12/14 23:59:33  kloczek
- release 13: removed (ba)shisms from console.csh (rrw).

Revision 1.24  2001/12/11 20:02:27  qboosh
- added pl1.map from console-data: it's using standard include
  "linux-with-alt-and-altgr", so it has some useful mappings
  (e.g. hex keypad for entering unicode characters)
- release 12

Revision 1.23  2001/12/04 21:33:51  kloczek
- release 11.

Revision 1.22  2001/12/04 21:32:06  ankry
- added console*.4 pages from man-pages

Revision 1.21  2001/11/24 01:50:41  kloczek
- release 10.

Revision 1.20  2001/11/23 17:10:55  gotar
- added Requires: sed (/etc/rc.d/init.d/console script).

Revision 1.19  2001/11/07 15:01:25  filon
- made init script framebuffer aware (it sets font on all consoles now)
- release 9

Revision 1.18  2001/11/07 12:04:38  ankry
- added es,fi,fr,hu,ko and some pl man pages
- release 8

Revision 1.17  2001/10/30 08:19:03  gotar
- changed %%{_sysconfdir} to /etc before profile.d, rc.d and sysconfig.

Revision 1.16  2001/09/25 21:39:11  orzech
- fixed broken console.sh script
- rel 7, STB

Revision 1.15  2001/09/24 14:15:25  qboosh
- release 6: Prereq: /sbin/chkconfig

Revision 1.14  2001/09/05 23:46:21  kloczek
- typo.

Revision 1.13  2001/09/05 21:08:24  kloczek
- added console.csh to /etc/profile.d/ (as same script as console.sh but for
  [t]csh shells).

Revision 1.12  2001/09/05 20:12:39  orzech
- console.sh fixed - now works when "$TERM" == "linux"
- kdb release++ (5)

Revision 1.11  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/06/06 15:58:50  wiget
added /etc/profile.d/console.sh from console-tools (fix problem with ISO-8859-2); release 4

Revision 1.8  2001/06/02 21:10:58  qboosh
- compat-suffixes patch: search also for files with console-*-specific
  extensions (.acm, .sfm, .kmap)
- unicode_start patch: 1) don't reload keymap - it breaks non-iso-8859-1
  keymaps (one must load proper keymap manually)
  2) don't load "default unicode font" - it's not necessary
- release 3

Revision 1.7  2001/06/01 18:02:13  kloczek
- merge compose, sparc rawhide patches.

Revision 1.6  2001/06/01 16:13:25  qboosh
- fixed install patch: removed stripping
- moved /usr/share/kbd/* to /usr/share (for compatibility with console-*)
- added kbdrate.8.pl (removed from util-linux)
- added lat2u-16 font (and optional sfm) from console-data; use it by default
  (lat2-16 from kbd has frames which doesn't display correctly in VGA text mode,
   lat2a-16 has non-unicode translation table)
- removed BuildReq gzip (required by rpm-build - to build almost all packages)
- removed ldconfig from post/postun - kbd doesn't provide any libraries
- release 2
Still no fallback table support :(

Revision 1.5  2001/05/20 08:47:41  misiek
- updated to 1.06

Revision 1.4  2001/04/28 17:12:48  misiek
Conflicts: util-linux < 2.11

Revision 1.3  2001/04/20 13:27:19  kloczek
- release 2: added console-tools-devel and console-tools-static to Obsoletes.

Revision 1.2  2001/04/20 08:51:17  kloczek
- Prereq for /sbin/chkconfig changed to rc-scripts.

Revision 1.1  2001/04/19 19:17:04  misiek
- kbd is alive again
- obsoletes console-tools/console-data
- profile.d/console.sh removed
